[bumpversion]
current_version = {{ cookiecutter.version }}
commit = True
tag = True

[bumpversion:file:VERSION]

[bumpversion:file:.github/workflows/deploy_python_package.yml]
search = PACKAGE_VERSION: {current_version}
replace = PACKAGE_VERSION: {new_version}

[bumpversion:file:pyproject.toml]
search = version = "{current_version}"
replace = version = "{new_version}"

[bumpversion:file:{{ cookiecutter.project_slug }}/__init__.py]
search = __version__ = "{current_version}"
replace = __version__ = "{new_version}"

[bumpversion:file:docker/requirements/production.txt]
search = {{ cookiecutter.project_name_kebab }}=={current_version}
replace = {{ cookiecutter.project_name_kebab }}=={new_version}

[bumpversion:file:docker/Dockerfile.dev]
search = LABEL version="{current_version}"
replace = LABEL version="{new_version}"